Skip to main content

Subscriptions

Subscriptions are a declaration of interest in a particular resource, allowing a user to receive notifications when certain events occur. The events that trigger notifications are controlled by the type of subscription.


Objects

Subscription

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe subscription ID
createdstringISO 8601 timestampThe instant the subscription was created at
lastModifiedstringISO 8601 timestampThe instant the subscription was last modified at
typestringSubscription TypeThe type of subscription
{
"id" : "566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"created" : "2026-04-15T10:38:41.116515",
"lastModified" : "2026-04-15T10:38:41.116516",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e123f812-584f-40b6-a51e-d524274bd299"
}
}
}

Formats

Subscription Type

string

ValueDescription
ALLTriggers notifications for all resource events
ALERTSTriggers notifications for resource alert events only
NONEDoes not trigger any notifications

Requests

View all subscriptions

GET /api/subscriptions

Returns all subscriptions for the authenticated user profile.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/subscriptions' -i -X GET

Response

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"created" : "2026-04-15T10:38:41.116515",
"lastModified" : "2026-04-15T10:38:41.467948",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e123f812-584f-40b6-a51e-d524274bd299"
}
}
}, {
"id" : "a7c4d9f8-dd1b-4801-9b73-eab37eef66b8",
"created" : "2026-04-15T10:38:41.945537",
"lastModified" : "2026-04-15T10:38:41.945538",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "dd10d4d4-23f1-49f1-a16b-4ed9bedcacb3",
"published" : "2026-04-15T10:38:34.436307",
"alias" : "simple-bar-chart",
"workspaceId" : "681eea8b-db3e-4b70-8602-77b474965f97",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-15T10:38:34.436307",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/a7c4d9f8-dd1b-4801-9b73-eab37eef66b8"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/a7c4d9f8-dd1b-4801-9b73-eab37eef66b8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/a7c4d9f8-dd1b-4801-9b73-eab37eef66b8",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/dd10d4d4-23f1-49f1-a16b-4ed9bedcacb3"
}
}
}, {
"id" : "f700b494-fa99-4e6d-bf4d-0c995a03aab7",
"created" : "2026-04-15T10:38:47.772184",
"lastModified" : "2026-04-15T10:38:47.772186",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "cfe2f6fb-2822-4716-b7fa-465c744b9829",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-04-15T10:38:42.374195"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/f700b494-fa99-4e6d-bf4d-0c995a03aab7"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/f700b494-fa99-4e6d-bf4d-0c995a03aab7",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/f700b494-fa99-4e6d-bf4d-0c995a03aab7",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.matatika.com/api/pipelines/cfe2f6fb-2822-4716-b7fa-465c744b9829"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

View all member subscriptions to a workspace

GET /api/workspaces/{workspace-id}/members/subscriptions

Returns all member subscriptions to the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/681eea8b-db3e-4b70-8602-77b474965f97/members/subscriptions' -i -X GET

Response

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "42d3fbdc-4e7a-4489-af6b-06b92f58cbf8",
"created" : "2026-04-15T10:38:47.995241",
"lastModified" : "2026-04-15T10:38:47.995242",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "681eea8b-db3e-4b70-8602-77b474965f97",
"name" : "Test Workspace [2026-04-15T10:38:33.943668245]"
},
"workspace" : {
"id" : "681eea8b-db3e-4b70-8602-77b474965f97",
"name" : "Test Workspace [2026-04-15T10:38:33.943668245]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/42d3fbdc-4e7a-4489-af6b-06b92f58cbf8"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/42d3fbdc-4e7a-4489-af6b-06b92f58cbf8",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/42d3fbdc-4e7a-4489-af6b-06b92f58cbf8",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/681eea8b-db3e-4b70-8602-77b474965f97"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/681eea8b-db3e-4b70-8602-77b474965f97/members/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

View a subscription

GET /api/subscriptions/{subscription-id}

Returns the subscription {subscription-id}.

Prerequisites

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c' -i -X GET

Response

200 OK

Subscription with HAL links.

{
"id" : "566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"created" : "2026-04-15T10:38:41.116515",
"lastModified" : "2026-04-15T10:38:41.116516",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e123f812-584f-40b6-a51e-d524274bd299"
}
}
}

Subscribe to a workspace

POST /api/workspaces/{workspace-id}/subscriptions

Subscribes the authenticated user profile to the workspace {workspace-id}.

By default, the subscription is configured for all workspace events (see Subscription Type for more information).

Prerequisites

  • Workspace {workspace-id} must exist

Query Parameters

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to workspace events, in order to enable workspace-wide notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/681eea8b-db3e-4b70-8602-77b474965f97/subscriptions?allMembers=true' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Subscription with HAL links.

{
"id" : "42d3fbdc-4e7a-4489-af6b-06b92f58cbf8",
"created" : "2026-04-15T10:38:47.995241064",
"lastModified" : "2026-04-15T10:38:47.995242464",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "681eea8b-db3e-4b70-8602-77b474965f97",
"name" : "Test Workspace [2026-04-15T10:38:33.943668245]"
},
"workspace" : {
"id" : "681eea8b-db3e-4b70-8602-77b474965f97",
"name" : "Test Workspace [2026-04-15T10:38:33.943668245]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/42d3fbdc-4e7a-4489-af6b-06b92f58cbf8"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/42d3fbdc-4e7a-4489-af6b-06b92f58cbf8",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/42d3fbdc-4e7a-4489-af6b-06b92f58cbf8",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/681eea8b-db3e-4b70-8602-77b474965f97"
}
}
}

Subscribe to a channel

POST /api/channels/{channel-id}/subscriptions

Subscribes the authenticated user profile to the channel {channel-id}.

By default, the subscription is configured for all channel events (see Subscription Type for more information).

Prerequisites

  • Channel {channel-id} must exist

Query Parameters

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to channel events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/e123f812-584f-40b6-a51e-d524274bd299/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Subscription with HAL links.

{
"id" : "566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"created" : "2026-04-15T10:38:41.11651488",
"lastModified" : "2026-04-15T10:38:41.11651588",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e123f812-584f-40b6-a51e-d524274bd299"
}
}
}

Subscribe to a dataset

POST /api/datasets/{dataset-id}/subscriptions

Subscribes the authenticated user profile to the dataset {dataset-id}.

By default, the subscription is configured for all dataset events (see Subscription Type for more information).

Prerequisites

  • Dataset {dataset-id} must exist

Query Parameters

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to dataset events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/dd10d4d4-23f1-49f1-a16b-4ed9bedcacb3/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Subscription with HAL links.

{
"id" : "a7c4d9f8-dd1b-4801-9b73-eab37eef66b8",
"created" : "2026-04-15T10:38:41.945537434",
"lastModified" : "2026-04-15T10:38:41.945538434",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "dd10d4d4-23f1-49f1-a16b-4ed9bedcacb3",
"published" : "2026-04-15T10:38:34.436307",
"alias" : "simple-bar-chart",
"workspaceId" : "681eea8b-db3e-4b70-8602-77b474965f97",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-15T10:38:34.436307",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/a7c4d9f8-dd1b-4801-9b73-eab37eef66b8"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/a7c4d9f8-dd1b-4801-9b73-eab37eef66b8",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/a7c4d9f8-dd1b-4801-9b73-eab37eef66b8",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/dd10d4d4-23f1-49f1-a16b-4ed9bedcacb3"
}
}
}

Subscribe to a pipeline

POST /api/pipelines/{pipeline-id}/subscriptions

Subscribes the authenticated user profile to the pipeline {pipeline-id}.

By default, the subscription is configured for all pipeline events (see Subscription Type for more information).

Prerequisites

  • Pipeline {pipeline-id} must exist

Query Parameters

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to pipeline events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/pipelines/cfe2f6fb-2822-4716-b7fa-465c744b9829/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Subscription with HAL links.

{
"id" : "f700b494-fa99-4e6d-bf4d-0c995a03aab7",
"created" : "2026-04-15T10:38:47.77218437",
"lastModified" : "2026-04-15T10:38:47.77218587",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "cfe2f6fb-2822-4716-b7fa-465c744b9829",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-04-15T10:38:42.374195"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/f700b494-fa99-4e6d-bf4d-0c995a03aab7"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/f700b494-fa99-4e6d-bf4d-0c995a03aab7",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/f700b494-fa99-4e6d-bf4d-0c995a03aab7",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.matatika.com/api/pipelines/cfe2f6fb-2822-4716-b7fa-465c744b9829"
}
}
}

Update a subscription

PUT /api/subscriptions/{subscription-id}

Updates the subscription {subscription-id}.

Prerequisites

  • Subscription {subscription-id} must exist

Body

PathJSON TypeFormatDescription
typestringSubscription TypeThe type of subscription
{
"type" : "ALERTS"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"type" : "ALERTS"
}'

Response

200 OK

Subscription with HAL links.

{
"id" : "566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"created" : "2026-04-15T10:38:41.116515",
"lastModified" : "2026-04-15T10:38:41.467947541",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c"
},
"delete subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e123f812-584f-40b6-a51e-d524274bd299"
}
}
}

Remove a subscription

DELETE /api/subscriptions/{subscription-id}

Removes the subscription {subscription-id}.

Prerequisites

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/subscriptions/566ae7dd-4519-4896-aad6-a17d8ba7fd8c' -i -X DELETE

Response

204 No Content

No response body provided.